
QGIS Application - Bug report #6512

SL Geometryless tables are not accessible from browser or "add SL layer", but they are in DB 

Manager

2012-10-14 03:48 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15729

Description

If I have a SL db with just geomteryless tables I can access them with DB Manager, but the qgis browser says "failed to get tables".

In a similar way the "add SL layers" fails to return a list of tables when there are only geometryless ones ("failure exploring tables from...")

tested on 1.8 on Windows.

History

#1 - 2012-10-14 09:37 AM - Giovanni Manghi

geometryless SL tables are never available in qgis browser, even when tables with geometries are inside the db.

#2 - 2014-06-20 05:11 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Version 2.4

- Category changed from Vectors to Browser

no error message anymore, but still no joy from browser and "Add SL layer" dialog.

#3 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
